if v:version < 802
    packadd! dracula
endif
colorscheme dracula

" IMPOSTAZIONI ----------------------------------------------------------- 
set completeopt=longest,menuone
setlocal complete+=k
set dictionary+=/home/dado/.vim/dict/dict_it.txt
set clipboard=unnamedplus
set wrap
set linebreak
set expandtab
autocmd vimenter * hi Normal guibg=NONE ctermbg=NONE
set spell spelllang=it,en
syntax on			                          " Enable type file detection. Vim will be able to try to detect the type of file in use.
filetype on						  " Enable plugins and load plugin for the detected file type.
set nocompatible		                          " be iMproved, required
filetype plugin indent on		                  
set omnifunc=syntaxcomplete                               " Enable Omnicomplete features
filetype plugin on				          " Load an indent file for the detected file type.
filetype indent on
set foldenable
set autoindent                                            " Automatically guesses the indentation given the previous one
set hlsearch                                              " Automatically highlights search results, to hide them run :noh
set incsearch                                             " Searches incrementally as you type.
set ruler                                                 " Shows the rulers
set showcmd                                               " Shows current cursor info
set ignorecase                                            " Ignores cases when searching
set noswapfile                                            " Disables swap files
set undofile                                              " Enable keeping history across sessions, don't forget to mkdir
set undodir=~/.vim/undo/
set nofixeol                                              " Do not insert a new line at the end of the file automatically
set backspace=indent,eol,start                            " Enable backspace key to delete stuffs properly
set termguicolors
set relativenumber
set clipboard=unnamedplus
set cursorline						   " Highlight cursor line underneath the cursor horizontally.
set nobackup					           " Do not save backup files.
set incsearch					           " While searching though a file incrementally highlight matching characters as you type.
set ignorecase						   " Ignore capital letters during search.
set smartcase						   " This will allow you to search specifically for capital letters.
set showmode						   " Show the mode you are on the last line.
set showmatch						   " Show matching words during a search.
set wildmenu						   " Enable auto completion menu after pressing TAB.
set wildmode=list:longest				   " Make wildmenu behave like similar to Bash completion.
set foldenable
set foldmethod=indent
set ttyfast						   " Speed up scrolling in Vim
set encoding=UTF-8
set updatetime=300
set signcolumn=yes
